<?php

Route::get('/', 'DashboardController')->name('admin.dashboard.index');

Route::group(['prefix' => 'event'], function (): void {
    Route::get('/', 'EventController@index')->name('admin.event.index');
    Route::post('/', 'EventController@store')->name('admin.event.store');
    Route::get('create', 'EventController@create')->name('admin.event.create');

    Route::prefix('{event}')->middleware('current-team')->group(function (): void {
        Route::get('/', 'EventController@show')->name('admin.event.show');
        Route::get('/edit', 'EventController@edit')->name('admin.event.edit');
        Route::post('/update', 'EventController@update')->name('admin.event.update');
        Route::post('/delete', 'EventController@delete')->name('admin.event.delete');
        Route::post('/archive', 'ArchiveEventController')->name('admin.event.archive.store');
        Route::post('/un-archive', 'UnArchiveEventController')->name('admin.event.archive.destroy');
    });
});
