<?php

namespace EventPortal\Domain\Team\Models;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Users\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphToMany;

class Team extends Model
{
    public function users(): MorphToMany
    {
        return $this->morphedByMany(User::class, 'teamable');
    }

    public function events(): MorphToMany
    {
        return $this->morphedByMany(Event::class, 'teamable');
    }
}
