<?php

namespace EventPortal\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CurrentTeam
{
    /**
     * Handle an incoming request.
     *
     * @phpcsSuppress SlevomatCodingStandard.TypeHints.ParameterTypeHint.UselessAnnotation
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if ($request->has('event_id') || $request->route('event')) {
            $event = $request->route('event_id') ?? $request->route('event');

            if (auth()->guest() || !$event->belongsToSameTeamAs(auth()->user())) {
                abort(401, 'You don\'t have permission to view this page.');
            }
        }

        return $next($request);
    }
}
