<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Users\Models\User;
use EventPortal\Tests\Support\Traits\InteractsWithTeams;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\DatabaseMigrations;

class EventDeleteTest extends TestCase
{
    use DatabaseMigrations, InteractsWithTeams;

    /** @test **/
    public function can_delete_event()
    {
        $user = factory(User::class)->create();
        $event = factory(Event::class)->create();

        $this->addToSameTeam([$user, $event]);

        $this->actingAs($user)
            ->post(route('admin.event.delete', $event->id));

        $this->assertNull(Event::find($event->id));
    }
}
