<?php

namespace EventPortal\Tests\Unit\Component;

use EventPortal\Domain\Component\Input\TextInput;
use EventPortal\Tests\TestCase;

class ComponentTest extends TestCase
{
    /** @test **/
    public function can_have_something_optionally_set()
    {
        $component = TextInput::make('Email Address');

        $this->assertNull($component->value);

        $component->when(true, function (TextInput $text): void {
            $text->value('fadhill@example.com');
        });

        $this->assertEquals('fadhill@example.com', $component->value);
    }

    /** @test **/
    public function can_have_not_set_when_false()
    {
        $component = TextInput::make('Email Address');

        $this->assertNull($component->value);

        $component->when(false, function (TextInput $text): void {
            $text->value('fadhill@example.com');
        });

        $this->assertNull($component->value);
    }
}
